
#ifndef DTAN_MY_TYPE_H_
#define DTAN_MY_TYPE_H_

typedef short int16;
typedef unsigned short uint16;

#if defined(WIN32) || defined(_WIN32_WCE)

typedef int int32;
typedef int int64;
typedef unsigned int uint32;
typedef unsigned int uint64;
typedef unsigned char uint8;
typedef char int8;

#else
// unix platforms
# include <sys/types.h>

typedef u_int8_t uint8;
typedef char int8;
typedef int32_t int32;
typedef int64_t int64;
typedef int64   _int64;
typedef u_int32_t uint32;
typedef u_int64_t uint64;

#endif // Windows Platform

#endif // DTAN_MY_TYPE_H_
